TldConfig (Tomcat API Documentation)
Keywords: org.apache.catalina.startup.TldConfig class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Class TldConfig

    java.lang.Object
      org.apache.catalina.startup.TldConfig

All Implemented Interfaces:
  LifecycleListener

    public final class TldConfig

extends java.lang.Object
implements LifecycleListener

Startup event listener for a Context that configures application listeners configured in any TLD files.

Author:
  Craig R. McClanahan, Jean-Francois Arcand, Costin Manolache

Constructor Summary
`TldConfig()`

Method Summary
`void` | `addApplicationListener(java.lang.String s)`
`void` | `execute()` Scan for and configure all tag library descriptors found in this web application.
`Context` | `getContext()`
`java.lang.String[]` | `getTldListeners()`
`boolean` | `getTldNamespaceAware()` Get the server.xml attribute's xmlNamespaceAware.
`boolean` | `getTldValidation()` Get the server.xml attribute's xmlValidation.
`boolean` | `isRescan()`
`void` | `lifecycleEvent(LifecycleEvent event)` Acknowledge the occurrence of the specified event.
`void` | `setContext(Context context)`
`static void` | `setNoTldJars(java.lang.String jarNames)` Sets the list of JARs that are known not to contain any TLDs.
`void` | `setRescan(boolean rescan)`
`void` | `setTldNamespaceAware(boolean tldNamespaceAware)` Set the namespace aware feature of the XML parser used when parsing xml instances.
`void` | `setTldValidation(boolean tldValidation)` Set the validation feature of the XML parser used when parsing xml instances.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TldConfig

    public TldConfig()

Method Detail

### setNoTldJars

    public static void setNoTldJars(java.lang.String jarNames)

  Sets the list of JARs that are known not to contain any TLDs.

  Parameters:
    `jarNames` - List of comma-separated names of JAR files that are known not to contain any TLDs

### setTldValidation

    public void setTldValidation(boolean tldValidation)

  Set the validation feature of the XML parser used when parsing xml instances.

  Parameters:
    `tldValidation` - true to enable xml instance validation

### getTldValidation

    public boolean getTldValidation()

  Get the server.xml attribute's xmlValidation.

  Returns:
    true if validation is enabled.

### getTldNamespaceAware

    public boolean getTldNamespaceAware()

  Get the server.xml attribute's xmlNamespaceAware.

  Returns:
    true if namespace awarenes is enabled.

### setTldNamespaceAware

    public void setTldNamespaceAware(boolean tldNamespaceAware)

  Set the namespace aware feature of the XML parser used when parsing xml instances.

  Parameters:
    `tldNamespaceAware` - true to enable namespace awareness

### isRescan

    public boolean isRescan()

### setRescan

    public void setRescan(boolean rescan)

### getContext

    public Context getContext()

### setContext

    public void setContext(Context context)

### addApplicationListener

    public void addApplicationListener(java.lang.String s)

### getTldListeners

    public java.lang.String[] getTldListeners()

### execute

    public void execute()
                 throws java.lang.Exception

  Scan for and configure all tag library descriptors found in this web application.

  Throws:
    `java.lang.Exception` - if a fatal input/output or parsing error occurs

### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)

  Description copied from interface: `LifecycleListener`
  Acknowledge the occurrence of the specified event.

  Specified by:
    `lifecycleEvent` in interface `LifecycleListener`
  Parameters:
    `event` - LifecycleEvent that has occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.